classification
Title: test_threading: BarrierTests.test_default_timeout() failed on AppVeyor
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2018-07-16 22:32 by vstinner, last changed 2018-09-19 23:53 by vstinner. This issue is now closed.

Messages (2)
msg321778 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-16 22:32
test_threading.BarrierTests.test_default_timeout() failed on AppVeyor. Related issues:

* bpo-11871, commit d4d1d068dcf4e1aaf93772ccc0824207a21606e5: change timeout
* bpo-30316

https://ci.appveyor.com/project/python/cpython/build/3.8build19370

test_barrier (test.test_threading.BarrierTests) ... ok
test_barrier_10 (test.test_threading.BarrierTests) ... ok
test_default_timeout (test.test_threading.BarrierTests) ... ERROR
test_reset (test.test_threading.BarrierTests) ... Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x03266728>
Traceback (most recent call last):
  File "C:\projects\cpython\lib\test\lock_tests.py", line 41, in task
    f()
  File "C:\projects\cpython\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "C:\projects\cpython\lib\threading.py", line 613, in wait
    self._wait(timeout)
  File "C:\projects\cpython\lib\threading.py", line 653, in _wait
    raise BrokenBarrierError
threading.BrokenBarrierError
Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x03266728>
Traceback (most recent call last):
  File "C:\projects\cpython\lib\test\lock_tests.py", line 41, in task
    f()
  File "C:\projects\cpython\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "C:\projects\cpython\lib\threading.py", line 613, in wait
    self._wait(timeout)
  File "C:\projects\cpython\lib\threading.py", line 653, in _wait
    raise BrokenBarrierError
threading.BrokenBarrierError
Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x03266728>
Traceback (most recent call last):
  File "C:\projects\cpython\lib\test\lock_tests.py", line 41, in task
    f()
  File "C:\projects\cpython\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "C:\projects\cpython\lib\threading.py", line 604, in wait
    self._enter() # Block while the barrier drains.
  File "C:\projects\cpython\lib\threading.py", line 628, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x03266728>
Traceback (most recent call last):
  File "C:\projects\cpython\lib\test\lock_tests.py", line 41, in task
    f()
  File "C:\projects\cpython\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "C:\projects\cpython\lib\threading.py", line 604, in wait
    self._enter() # Block while the barrier drains.
  File "C:\projects\cpython\lib\threading.py", line 628, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
ok
test_single_thread (test.test_threading.BarrierTests) ... ok
test_timeout (test.test_threading.BarrierTests) ... ok
test_wait_return (test.test_threading.BarrierTests) ... ok
test_acquire (test.test_threading.BoundedSemaphoreTests) ... ok

...

======================================================================
ERROR: test_default_timeout (test.test_threading.BarrierTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\projects\cpython\lib\test\lock_tests.py", line 943, in test_default_timeout
    self.run_threads(f)
  File "C:\projects\cpython\lib\test\lock_tests.py", line 772, in run_threads
    f()
  File "C:\projects\cpython\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "C:\projects\cpython\lib\threading.py", line 613, in wait
    self._wait(timeout)
  File "C:\projects\cpython\lib\threading.py", line 651, in _wait
    raise BrokenBarrierError
threading.BrokenBarrierError


test_threading succeeded when it has been re-run in verbose mode.
msg321939 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-19 08:49
Another failure on AMD64 Windows8.1 Refleaks 3.6 which seems very very slow on this build.

https://buildbot.python.org/all/#/builders/64/builds/293

0:26:36 [133/407/1] test_threading failed -- running: test_venv (23 min 45 sec), test_mmap (19 min 28 sec)
beginning 6 repetitions
123456
..Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x000000A373C5E110>
Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x000000A373C5E110>
Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x000000A373C5E110>
Traceback (most recent call last):
Traceback (most recent call last):
Traceback (most recent call last):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 41, in task
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 41, in task
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 41, in task
    f()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 938, in f
    f()
    f()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 938, in f
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 612, in wait
    i = barrier.wait()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 612, in wait
    i = barrier.wait()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 612, in wait
    self._wait(timeout)
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 652, in _wait
    self._wait(timeout)
    self._wait(timeout)
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 652, in _wait
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 652, in _wait
    raise BrokenBarrierError
threading.BrokenBarrierError
    raise BrokenBarrierError
threading.BrokenBarrierError
    raise BrokenBarrierError
threading.BrokenBarrierError
Unhandled exception in thread started by <function Bunch.__init__.<locals>.task at 0x000000A373C5E110>
Traceback (most recent call last):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 41, in task
    f()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 603, in wait
    self._enter() # Block while the barrier drains.
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 627, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
Exception ignored in: <generator object wait_threads_exit at 0x000000A374EDEDA0>
Traceback (most recent call last):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 2154, in wait_threads_exit
    raise AssertionError(msg)
AssertionError: wait_threads() failed to cleanup 1 threads after 60.0 seconds (count: 1, old count: 0)
test test_threading failed -- Traceback (most recent call last):
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 943, in test_default_timeout
    self.run_threads(f)
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 772, in run_threads
    f()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\test\lock_tests.py", line 938, in f
    i = barrier.wait()
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 612, in wait
    self._wait(timeout)
  File "D:\buildarea\3.6.ware-win81-release.refleak\build\lib\threading.py", line 650, in _wait
    raise BrokenBarrierError
threading.BrokenBarrierError
History
Date User Action Args
2018-09-19 23:53:54vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-07-19 08:49:36vstinnersetmessages: + msg321939
2018-07-16 22:32:27vstinnercreate